Debian Bug report logs - #694280
ipython-doc: missing Breaks+Replaces: ipython (<< 0.12.1+dfsg)

version graph

Package: ipython-doc; Maintainer for ipython-doc is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for ipython-doc is src:ipython.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Sat, 24 Nov 2012 23:57:01 UTC

Severity: serious

Tags: patch

Found in version ipython/0.12.1+dfsg-1

Fixed in version ipython/0.13.1-2

Done: Julian Taylor <jtaylor.debian@googlemail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#694280; Package ipython-doc. (Sat, 24 Nov 2012 23:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 24 Nov 2012 23:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ipython-doc: missing Breaks+Replaces: ipython (<< 0.12.1+dfsg)
Date: Sun, 25 Nov 2012 00:54:47 +0100
[Message part 1 (text/plain, inline)]
Package: ipython-doc
Version: 0.12.1+dfsg-1
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Architecture: amd64
Distribution: squeeze->wheezy (partial) upgrade

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:

  Selecting previously deselected package ipython.
  Unpacking ipython (from .../ipython_0.10-2_all.deb) ...

  Processing triggers for python-central ...
  Setting up ipython (0.10-2) ...
  Processing triggers for python-support ...

  Selecting previously deselected package ipython-doc.
  Unpacking ipython-doc (from .../ipython-doc_0.13.1-1_all.deb) ...
  dpkg: error processing /var/cache/apt/archives/ipython-doc_0.13.1-1_all.deb (--unpack):
   trying to overwrite '/usr/share/doc/ipython/examples/core/example-gnuplot.py', which is also in package ipython 0.10-2


This is a serious bug as it makes installation/upgrade fail, and
violates sections 7.6.1 and 10.1 of the policy.

As this problem can be demonstrated during partial upgrades from squeeze
to wheezy (but not within squeeze or wheezy itself), this indicates a
missing or insufficiently versioned Replaces+Breaks relationship.
But since this particular upgrade ordering is not forbidden by any
dependency relationship, it is possible that apt (or $PACKAGE_MANAGER)
will use this erroneus path on squeeze->wheezy upgrades.

Here is a list of files that are known to be shared by both packages
(according to the Contents files for squeeze and wheezy on amd64, which
may be slightly out of sync):

usr/share/doc/ipython/examples/core/example-embed-short.py
usr/share/doc/ipython/examples/core/example-gnuplot.py
usr/share/doc/ipython/examples/core/ipython-sh.desktop
usr/share/doc/ipython/examples/core/ipython.desktop
usr/share/doc/ipython/examples/core/ipython_here_shell_extension.reg
usr/share/doc/ipython/examples/core/leo_bridge_demo.leo.gz
usr/share/doc/ipython/examples/core/seteditor.py


The examples were recently moved around:

  ipython (0.12.1+dfsg-1) unstable; urgency=low 
   * move all examples to ipython-doc


The following relationships are currently defined:

  Package: ipython-doc
  Replaces: ipython-notebook (<< 0.12.1-1)
  Depends: ipython, libjs-sphinxdoc (>= 1.0)
  Breaks: ipython-notebook (<< 0.12.1-1)
  Conflicts: n/a

The following relationships should be added for a clean takeover of
these files
(http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces):

  Package:  ipython-doc
  Breaks:   ipython (<< 0.12.1+dfsg)
  Replaces: ipython (<< 0.12.1+dfsg)

Alternatively to the Breaks, the Depends could be made versioned
(the Replaces is still needed):

  Package:  ipython-doc
  Depends:  ipython (= $(source:Version})
  Replaces: ipython (<< 0.12.1+dfsg)


Cheers,

Andreas

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.
[ipython=0.10-2_ipython-doc=0.13.1-1.log.gz (application/x-gzip, attachment)]

Added tag(s) pending. Request was from jtaylor-guest@users.alioth.debian.org to control@bugs.debian.org. (Sun, 25 Nov 2012 13:12:18 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Roland Stigge <stigge@antcom.de> to control@bugs.debian.org. (Sun, 25 Nov 2012 16:39:09 GMT) Full text and rfc822 format available.

Reply sent to Julian Taylor <jtaylor.debian@googlemail.com>:
You have taken responsibility. (Sun, 25 Nov 2012 19:36:05 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sun, 25 Nov 2012 19:36:05 GMT) Full text and rfc822 format available.

Message #14 received at 694280-close@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 694280-close@bugs.debian.org
Subject: Bug#694280: fixed in ipython 0.13.1-2
Date: Sun, 25 Nov 2012 19:32:41 +0000
Source: ipython
Source-Version: 0.13.1-2

We believe that the bug you reported is fixed in the latest version of
ipython, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694280@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Taylor <jtaylor.debian@googlemail.com> (supplier of updated ipython package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 25 Nov 2012 11:55:50 +0000
Source: ipython
Binary: ipython ipython3 ipython-qtconsole ipython3-qtconsole ipython-notebook-common ipython-notebook ipython3-notebook ipython-doc
Architecture: source all
Version: 0.13.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Julian Taylor <jtaylor.debian@googlemail.com>
Description: 
 ipython    - enhanced interactive Python shell
 ipython-doc - enhanced interactive Python shell - Documentation
 ipython-notebook - interactive Python html notebook
 ipython-notebook-common - interactive Python html notebook data package
 ipython-qtconsole - enhanced interactive Python shell - Qt console
 ipython3   - enhanced interactive Python 3 shell
 ipython3-notebook - interactive Python 3 html notebook
 ipython3-qtconsole - enhanced interactive Python 3 shell - Qt console
Closes: 694280
Changes: 
 ipython (0.13.1-2) unstable; urgency=low
 .
   * update watch file to use github directly
     thanks to Bart Martens for the file
   * ipython-doc: break/replace ipython << 0.11-2 (Closes: #694280)
Checksums-Sha1: 
 88b1ddd8a0040b1cde4700ecdfc18d135f5aaf34 2749 ipython_0.13.1-2.dsc
 5aa86ac510866d5c1d03e4c65204f9448ab5b486 20379 ipython_0.13.1-2.debian.tar.gz
 643edefa1e3cedd90b864943d570d046d7f012f1 675904 ipython_0.13.1-2_all.deb
 c6093fb2ed301575156cfcfbacf88eb9979dd0f7 666900 ipython3_0.13.1-2_all.deb
 0b33bf2a3f1d5012fe9a711c03fcc6f149cbf126 81082 ipython-qtconsole_0.13.1-2_all.deb
 950b57499d5000817ddfcf35debd2ba482a1f8c4 79090 ipython3-qtconsole_0.13.1-2_all.deb
 b0c043df071f986ad452e3e17120e957a66a1ef9 369354 ipython-notebook-common_0.13.1-2_all.deb
 5062b099d72f0f8f627961aad5ffe12dbd5517a8 25896 ipython-notebook_0.13.1-2_all.deb
 7312a8cdc9290f0dc11e54c691809bb49482e776 25022 ipython3-notebook_0.13.1-2_all.deb
 809f2934470683819b937845885eaffa201bff87 5811344 ipython-doc_0.13.1-2_all.deb
Checksums-Sha256: 
 e28149bca3bc10b82bf6dc0687b9af05da62f7c8a67615f8682ce0598b217495 2749 ipython_0.13.1-2.dsc
 3cb9ecfd070765de4fa5397713a0703fd69734fc7836154d419a562e2ce8d224 20379 ipython_0.13.1-2.debian.tar.gz
 de7309b538721f67d383f505902ac263868108cf1345ec9a87867484abab7913 675904 ipython_0.13.1-2_all.deb
 14097402548d2a83b3478b9602767cd3887a5b6029c7de33abd041f425efcaa9 666900 ipython3_0.13.1-2_all.deb
 958c77699f0f1194fb480cebbc0afc93c6f10d08906ecc6ce35baf5e47fdfbde 81082 ipython-qtconsole_0.13.1-2_all.deb
 d76030bba145c364056f4395113b649e5e0ac892f4a4e82f6bb8d4db15c32741 79090 ipython3-qtconsole_0.13.1-2_all.deb
 1ac99c7bb86d3384f549472356bd802a8f545a786f4ea64a9470f7d2c1009a8a 369354 ipython-notebook-common_0.13.1-2_all.deb
 ddd71dcc62b3dd876940f70ee3e071b1bb079f0e411a35bc6079a923a9748032 25896 ipython-notebook_0.13.1-2_all.deb
 d30c6ad20c1b8e828b1cfec296a72964ad6a0881ca34834e1327639e0a3907b2 25022 ipython3-notebook_0.13.1-2_all.deb
 abf04a75b9d598f95f80675676fe600a5d22ef1c5afae6284cbcb3b0c936e59d 5811344 ipython-doc_0.13.1-2_all.deb
Files: 
 c46fa2b57de1c78e7d35483429fa24b2 2749 python optional ipython_0.13.1-2.dsc
 da7444bb3cf3f3782ef5353f27936d47 20379 python optional ipython_0.13.1-2.debian.tar.gz
 9d5a8b6805325277ba0d64442d0787fd 675904 python optional ipython_0.13.1-2_all.deb
 0e3811076f5424d217b9f5b2f185ed65 666900 python optional ipython3_0.13.1-2_all.deb
 8a16f702cb56b0fdbe8a6ae627ce83b1 81082 python optional ipython-qtconsole_0.13.1-2_all.deb
 82d617b9b919bb7f9e3e24ecc1a5d4d5 79090 python optional ipython3-qtconsole_0.13.1-2_all.deb
 ac3f8aaf87558f261b284ab98e62c7d2 369354 python optional ipython-notebook-common_0.13.1-2_all.deb
 1bc8210867acf48e27a987b38d18f5bc 25896 python optional ipython-notebook_0.13.1-2_all.deb
 48d766dea615b96730dc17e1ad6f866f 25022 python optional ipython3-notebook_0.13.1-2_all.deb
 2e90a6e73682b57e6ea5f0b4e212a56c 5811344 doc optional ipython-doc_0.13.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJQsm8/AAoJEDLMSqwCh1b/7Z0P/1fK8ryaUnERP3Xq3zN+MEfu
GxBT1CaazmiQ0lU13LCY8KEptWITlyBM/MeoPgZoJqQ4tUI75Q13u++Q4zy4kWE6
IkB8kEBDFGbruhGxBkTBi/ENZPLKYRN0vbt5MLQHLUHeKS291H1NnUdVNxF+q7Ps
vuOgzuwUHwG7ZRffSO0ntNurm+384nEAWkllZjVKVVj0V71ouDW4LlROxUU/zq7H
aZJRsfpPOVyjGOAQ9L+Y3iSp6T4IvfIQUwXHICMInsEIF4s578sOpZ+N8dPx2nSn
kPap1CZwaIg0/RHQLhgkETRlwU4CGUtgWnZzDJe26c3QhEEpxIwh6etuW35pDoBk
wATWzmqponoyG9D9yYBwvr7dMPF6aH9v9U0KK/MwDdOnZifqe5f2RF4eCXPxYy5l
bhA2APdRBt3uzPBuZ/kZgtaeaBM2F+PcVM8WsiZv51Lg2c3TSb2KoRbokhqYFOA9
miZr8fPdIGWkggGCLt+/KQZStPJYbE0LY7OZTPNGZcUs4fEj5Zq+aUIUic4grWPC
EJ6Ltf/lPdT5IbLcWhq96WWRnJoMyqbRrE/cgkd+gSszr3IAppURgvScnPpyg3kq
71BEMd+9UCrV+uuPHkotv6BpOshJW4F9QRVocbRGBpot673TAsEBpzI3EDWE6qAm
kFtiKi9xvhKExKSBDTtj
=tkoW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Jan 2013 07:27:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:22:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.